ExportControllerGetExportResult Method |
GET /Export/Result/{0}
Retrieves the result of an export.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Result")]
public HttpResponseMessage GetExportResult(
Guid id,
bool isDownloadLink = true,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Result")>
Public Function GetExportResult (
id As Guid,
Optional isDownloadLink As Boolean = true,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Result")]
HttpResponseMessage^ GetExportResult(
Guid id,
bool isDownloadLink = true,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Result")>]
member GetExportResult :
id : Guid *
?isDownloadLink : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _isDownloadLink = defaultArg isDownloadLink true
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The export result ID. - isDownloadLink (Optional)
- Type: SystemBoolean
A value which indicates whether the response should have a content disposition for interactive downloading. True by default. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageThe export result.
See Also